Bug 468941 - Inconsistencies in terminology used on the oVirt Server Suite User Interface
Inconsistencies in terminology used on the oVirt Server Suite User Interface
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: ovirt-server-suite (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Jorm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-28 20:47 EDT by Susan Burgess
Modified: 2014-10-20 19:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-29 23:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Susan Burgess 2008-10-28 20:47:10 EDT
Description of problem:
There are a number of inconsistencies in the oVirt Server Suite User Interface. 

Version-Release number of selected component (if applicable):
.94

How reproducible:
View the interface


UI Elements

1.
Navigator panel- Smart pools.

Actual results:
Nested smart pools are shown with the Expand button only.

Expected results:
Nested smart pools should display the Correct smart pool icon as well as teh Expand button

2.
Navigator panel - label for the default hardware pool

Actual results:
The word name of the hardware pool, "default" is not capitalised.

Expected results:
"default" should be capitalised - to display as "Default"

3. Navigator panel - name of default hardware pool

Actual results:
The name of the hardware pool, "default" does not reflect the
exalted status of the node that rules them all.

Expected results:
Rename "default" to "Mother Node"
                    "Primary Node"

3. Navigator panel - Dashboard

Ditto to above - Dashboard is so nineties and industrial age..
Need a name change that reflects the virtual environmentally friendly ethos.
Dashboard evokes gas-guzzling cars, or trucks..

Rename to oVirView

4. Host Tab
  Actual results: Remove button removes the selected hosts immediately
  Expected results: User should be asked to confirm. This will be consistent with other remove operations in the UI.

5. Storage Tab

Actual Results: Inconsistency in terminology in use of Storage Server > Storage Pool.

Expected Result: In Storage tab, rename Add Storage Server to Add Storage Pool

6. Add Storage Pool dialog box

Actual results: Add Storage Pool has an inconsistently named button.

Expected results: Rename "New Storage Pool" to "Add New Storage Pool".

7. Add Storage Pool dialog box

Actual results: Add Storage Pool has an inconsistently named tabs.
                Add New Pool
                Import Existing Pools

 Expected results: Rename Import Existing Pool to Use Existing Pool.

8. Add Storage Pool dialog box

Actual results: Import Existing Pool(s) and Add Storage Pool(s)

Expected results : Remove (s). Use the plural and add a message to the dialog box - "Add one or more pools"

9. too many shades of yellow.

Actual results: different shades of yellow in the messages, icons and content tags.

Expected results: consistent shade of yellow used as a background.

10. Solitary green button

Currently the only green object is the Help button.

Better if it was Blue. (users expect a link to be some shade of blue)

General:
I think we should have used more of our oVirt green - currently the doc and website use the green theme, but the UI does not.

11. Virtual Machine Pool tab

Actual : The button to add a VM pool is called "New Machine Pool"
Expected: The button should be called "Add New Virtual Machine Pool"

This will make it consistent with the other tabs.

12. Virtual Machine Tab
  Actual results: Delete button removes the selected pool immediately
  Expected results: User should be asked to confirm. This will be consistent with other remove operations in the UI.

13. Add New Virtual Machine Pool
Actual results: button is called "Create Virtual Machine Pool"
Expected results" button shoiuld be called " Add New Virtual Machine Pool".

14. User Access Tab
Actual Results: the terminology of Add User > Add New User > Create User Permission is inconsistent.

Expected: Change Add User button to Add New User

15. Add New User dialog
Actual Results: the terminology of Add User > Add New User > Create User Permission is inconsistent.

Expected: Change Create User Permission button to Add New User.

16. User Access Tab
  Actual results: Delete button removes the selected user immediately
  Expected results: User should be asked to confirm. This will be consistent with other remove operations in the UI.

17. User Access tab
 
Actual: Name is User Access

Expected: Rename to User Access to Users 
to be consistent with other options viz Hosts, Virtual Machine Pools, Tasks.

Note You need to log in before you can comment on or make changes to this bug.